Name:           ugene
Summary:        Integrated bioinformatics toolkit
Version:        1.26.3
Release:        %mkrel 1
License:        GPLv2+
Group:          Sciences/Biology
URL:            http://ugene.unipro.ru
Source0:        http://ugene.unipro.ru/downloads/%{name}-%{version}.tar.gz
# TODO: Check if the linking patches are still necessary
Patch1:         ugene-1.22.0-mga-sqlite3-linking.patch
Patch2:         ugene-1.22.0-mga-zlib-linking.patch
Patch3:         ugene-1.15.1-mga-desktop-categories.patch
Patch4:         ugene-1.20.0-mga-humimit-x11-linking.patch

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  procps-devel
BuildRequires:  qttools5

%description
Unipro UGENE is a cross-platform visual environment for DNA and protein
sequence analysis. UGENE integrates the most important bioinformatics
computational algorithms and provides an easy-to-use GUI for performing
complex analysis of the genomic data. One of the main features of UGENE
is a designer for custom bioinformatics workflows.

%files
%doc COPYRIGHT LICENSE.txt LICENSE.3rd_party.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/application-x-%{name}.xml
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/%{name}/
%{_iconsdir}/application-x-%{name}-ext.png
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*

%prep
%autosetup -p1

%build
%qmake_qt5 -r \
        INSTALL_BINDIR=%{_bindir} \
        INSTALL_LIBDIR=%{_libdir} \
        INSTALL_DATADIR=%{_datadir} \
        INSTALL_MANDIR=%{_mandir} \
        UGENE_WITHOUT_NON_FREE=1 \
        UGENE_EXCLUDE_LIST_ENABLED=1
%make_build

%install
%qmakeinstall_std


%changelog
* Sun Jun 25 2017 akien <akien> 1.26.3-1.mga6
+ Revision: 1108394
- Version 1.26.3

* Fri Feb 24 2017 akien <akien> 1.26.1-1.mga6
+ Revision: 1087664
- Version 1.26.1

* Fri Feb 10 2017 akien <akien> 1.26.0-1.mga6
+ Revision: 1085645
- Version 1.26.0

* Sun Oct 30 2016 akien <akien> 1.25.0-1.mga6
+ Revision: 1064234
- Version 1.25.0

* Mon Oct 03 2016 akien <akien> 1.24.2-1.mga6
+ Revision: 1058226
- Version 1.24.2

* Mon Oct 03 2016 neoclust <neoclust> 1.24.0-2.mga6
+ Revision: 1058208
- Do not build on ARM

* Sun Aug 14 2016 akien <akien> 1.24.0-1.mga6
+ Revision: 1046471
- Version 1.24.0

* Sat Apr 23 2016 akien <akien> 1.22.0-1.mga6
+ Revision: 1005702
- Version 1.22.0

* Sat Mar 19 2016 luigiwalser <luigiwalser> 1.21.0-1.mga6
+ Revision: 993029
- 1.21.0
- fix patch 4

  + tv <tv>
    - rebuild for new libprocps

  + daviddavid <daviddavid>
    - rebuild for new procps-ng 3.3.10

* Sun Dec 13 2015 akien <akien> 1.20.0-1.mga6
+ Revision: 910103
- Version 1.20.0

* Thu Dec 03 2015 akien <akien> 1.19.0-1.mga6
+ Revision: 907946
- Version 1.19.0

* Mon Sep 21 2015 akien <akien> 1.18.0-1.mga6
+ Revision: 882147
- Version 1.18.0
- Build with Qt5

* Sun Jan 18 2015 akien <akien> 1.15.1-1.mga5
+ Revision: 811281
- Version 1.15.1

* Thu Oct 16 2014 akien <akien> 1.14.2-1.mga5
+ Revision: 763959
- Version 1.14.2

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.1-3.mga5
+ Revision: 690025
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 akien <akien> 1.14.1-2.mga5
+ Revision: 675140
- Bugfix version 1.14.1

* Mon Sep 08 2014 akien <akien> 1.14.0-1.mga5
+ Revision: 673589
- Version 1.14.0
- Version 1.13.3

* Sun May 04 2014 akien <akien> 1.13.2-2.mga5
+ Revision: 619965
- Put back libraries (and binaries and translations...) in %%_libdir instead of %%_libexecdir

* Sun May 04 2014 akien <akien> 1.13.2-1.mga5
+ Revision: 619900
- imported package ugene

